/**
 * @file bflderrstate.h
 * Defines the operating state for the battlefield error screen
 * (STATE_CODES::STATE_BFLDERR).
 * @ingroup StateBfldErr
 * @author Jeff Jackowski  (jeffj@ro.com)
 *
 * Copyright (C) 2007  Jeff Jackowski
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301,
 * USA. Or visit their website at: http://www.gnu.org/
 */

/**
 * @defgroup StateBfldErr Battlefield Error State
 *
 * Implements the @ref OperatingStatesBfldErr state.
 *
 * @ingroup OperStates
 * @{
 */

/**
 * Initalizes the data needed for the error screen.
 * @return  True on sucess, false if there was an error.
 * @author  Jeff Jackowski
 */
int BfldErrInit();

/**
 * Unloads the media needed for the error screen.
 * @return  True on sucess, false if there was an error.
 * @author  Jeff Jackowski
 */
int BfldErrUninit();

/**
 * Displays the error screen.
 * @return  True on sucess, false if there was an error.
 * @author  Jeff Jackowski
 */
int BfldErrRun();

/** @} */
