/**
 * @file bool.h
 * Defines a boolean type.
 * @author Jeff Jackowski  (jeffj@ro.com)
 *
 * Copyright (C) 2007  Jeff Jackowski
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301,
 * USA. Or visit their website at: http://www.gnu.org/
 */

#ifndef _bool_h_
#define _bool_h_

/**
 * A small boolean type. When availble, the ISO C boolean type, _Bool, is used.
 * @todo  Improve detection of when the ISO C boolean type can be used.
 */
#if defined(USE_CBOOL) || defined(DOXYGEN) || (__GNUC__ > 3) || ((__GNUC__ == 3) && (__GNUC_MINOR__ > 2))
typedef _Bool  Bool;   // A C boolean. Too new for support everywhere.
#else
#include <SDL_types.h>
typedef Uint8  Bool;   // A substitute that is not as safe.
#endif

#ifndef FALSE
#define FALSE  0
#endif
#ifndef TRUE
#define TRUE   1
#endif

#endif

