/**
 * @file splashstate.h
 * Defines the functions used for STATE_CODES::STATE_SPLASH.
 * @ingroup StateSplash
 * @author Jeff Jackowski  (jeffj@ro.com)
 *
 * Copyright (C) 2007  Jeff Jackowski
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301,
 * USA. Or visit their website at: http://www.gnu.org/
 */

/**
 * @defgroup StateSplash Splash State
 *
 * Implements the @ref OperatingStatesSplash.
 * @todo  Change the name to Title screen state.
 *
 * @ingroup OperStates
 * @{
 */

/**
 * Initalizes the data needed for the splash screen.
 * @return  True on sucess, false if there was an error.
 * @author  Jeff Jackowski
 */
int SplashInit();

/**
 * Unloads the media needed for the splash screen.
 * @return  True on sucess, false if there was an error.
 * @author  Jeff Jackowski
 */
int SplashUninit();

/**
 * Displays the splash screen, starts loading media needed for the menu, and
 * starts the attempt to connect to a server.
 * @return  True on sucess, false if there was an error.
 * @author  Jeff Jackowski
 */
int SplashRun();

/** @} */
