#include "vector.h"
#include <stdio.h>
#include <assert.h>

Vector v;

Bool intComp(int *x, int *y) {
	return *x < *y;
}

void intDestr(int *x) {
	printf("Destroying item %i\n", *x);
	*x = -1;
}

void printHeap(Vector *vec) {
	int index = vec->items, loop, prev = 1, *item = vec->array;
	for (; index > 0; prev <<= 1) {
		for (loop = prev; (index > 0) && (loop > 0); loop--, item++, index--) {
			printf("%2i  ", *item);
		}
		printf("\n");
	}
}

const int vals[] = { 13, 14, 16, 19, 21, 19, 68, 65, 26, 32, 31 };
const int sortit[] = { 91, 10, 28, 52, 67, 42, 98, 32, 16, 64, 71, 89 };

int main() {
	int loop, *item;
	v.lessOp = intComp;
	v.destructOp = intDestr;
	v.itemSize = sizeof(int);
	v.minSize = 8;
	assert(VectorInit(&v, 8));
	assert(v.size == 8);
	assert(v.items == 0);
	for (loop = 0; loop < 11; loop++) {
		item  = VectorAdd(&v);
		assert(item != NULL);
		*item = vals[loop];
	}
	assert(v.items == 11);
	assert(v.size == 16);
	printHeap(&v);
	printf("Remove the next item off the heap\n");
	VectorHeapPop(&v);
	assert(v.items == 10);
	assert(v.size == 16);
	printHeap(&v);
	VectorDestroy(&v);
	// heap sort test
	v.lessOp = intComp;
	v.destructOp = intDestr;
	v.itemSize = sizeof(int);
	v.minSize = 8;
	assert(VectorInit(&v, 8));
	for (loop = 0; loop < sizeof(sortit) / sizeof(int); loop++) {
		item  = VectorHeapPush(&v, &sortit[loop]); //VectorAdd(&v);
		//assert(item != NULL);
		//*item = sortit[loop];
	}
	printHeap(&v);
	//VectorHeapSort(&v);
	printf("Sorted order:");
	while (v.items > 0) {
		printf(" %d", ((int*)(v.array))[0]);
		VectorHeapPop(&v);
	}
	/*
	for (loop = 0; loop < v.items; loop++) {
		printf(" %d", ((int*)(v.array))[loop]);
	}
	*/
	printf("\n");
	return 0;
}

